vqsort-inl.h File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include "hwy/cache_control.h"`
`#include "hwy/contrib/sort/vqsort.h"`
`#include "hwy/contrib/sort/shared-inl.h"`
`#include "hwy/contrib/sort/sorting_networks-inl.h"`
`#include "hwy/highway.h"`

Go to the source code of this file.

## Namespaces

namespace | hwy
namespace | hwy::HWY_NAMESPACE
namespace | hwy::HWY_NAMESPACE::detail

## Macros

#define | VQSORT_PRINT 0
#define | VQSORT_SECURE_RNG 0
#define | HIGHWAY_HWY_CONTRIB_SORT_VQSORT_TOGGLE

## Typedefs

using | hwy::HWY_NAMESPACE::detail::Constants = hwy::SortConstants

## Functions

| HWY_BEFORE_NAMESPACE ()
HWY_INLINE void | hwy::HWY_NAMESPACE::detail::UnpoisonIfMemorySanitizer (void *p, size_t bytes)
template<class D >
HWY_INLINE void | hwy::HWY_NAMESPACE::detail::MaybePrintVector (D d, const char *label, Vec< D > v, size_t start=0, size_t max_lanes=16)
template<class Traits , typename T >
void | hwy::HWY_NAMESPACE::detail::SiftDown (Traits st, T *HWY_RESTRICT lanes, const size_t num_lanes, size_t start)
template<class Traits , typename T >
void | hwy::HWY_NAMESPACE::detail::HeapSort (Traits st, T *HWY_RESTRICT lanes, const size_t num_lanes)
template<class D , class Traits , typename T >
void | hwy::HWY_NAMESPACE::Sort (D d, Traits st, T *HWY_RESTRICT keys, size_t num, T *HWY_RESTRICT buf)
| HWY_AFTER_NAMESPACE ()

## Macro Definition Documentation

## HIGHWAY_HWY_CONTRIB_SORT_VQSORT_TOGGLE

#define HIGHWAY_HWY_CONTRIB_SORT_VQSORT_TOGGLE

## VQSORT_PRINT

#define VQSORT_PRINT 0

## VQSORT_SECURE_RNG

#define VQSORT_SECURE_RNG 0

## Function Documentation

## HWY_AFTER_NAMESPACE()

HWY_AFTER_NAMESPACE | ( |  | ) |

## HWY_BEFORE_NAMESPACE()

HWY_BEFORE_NAMESPACE | ( |  | ) |